# -----------------------------------------------------------------------------
# Name: ASP format definition
# Version: 1
# Author: BullZip.com
# -----------------------------------------------------------------------------

# -----------------------
# HTML format section
# -----------------------

[HTML]
# Set Properties
IGNORECASE=1
MULTILINE=1

# Begin Block
HEADER-HTML=<table style="border: 1px solid #999999; background-color: #eeeeee;" width="100%"><tr><td style="padding: 10px;"><code>

# End Block
FOOTER-HTML=</code></td></tr></table>

# Tag
#PATTERN=<([^%>]+[^>]*)>
#FORMAT-HTML=<span style="color: #990099">&lt;$0&gt;</span>
PATTERN=<
ENTER=HTML-Tag

# Enter Script Block
PATTERN=<%
#FORMAT-HTML=<span style="background-color: #ffff00">&lt;%</span>
ENTER=VBScript

# Line Breaks
PATTERN=\n
#|\r|\n\r|\r\n
FORMAT-HTML=<br>$$

# White Spaces
PATTERN=[\t]
FORMAT-HTML=&nbsp;&nbsp;&nbsp;&nbsp;

PATTERN=[\f\v]
FORMAT-HTML=&nbsp;

# HTML comments
PATTERN=<!--
ENTER=HTML-Comment

PATTERN=<
FORMAT-HTML=&lt;

PATTERN=>
FORMAT-HTML=&gt;

PATTERN=&
FORMAT-HTML=&amp;

# Collect normal text
PATTERN=[^<>&\t\n]*
FORMAT-HTML=$$

# Unmatched input
PATTERN=.
FORMAT-HTML=$$

# ---------------------------
# VBScript format section
# ---------------------------
[VBScript]

# Set Properties
IGNORECASE=1
MULTILINE=0

# Begin Block
HEADER-HTML=<span style="color: #000000"><span style="background-color: #ffff00">&lt;%</span>

# End Block
FOOTER-HTML=<span style="background-color: #ffff00">%&gt;</span></span>

# One Line Comments
PATTERN='[^\n]*|rem [^\n]*
FORMAT-HTML=<span style="color: #009900"><i>$$</i></span>

# Line Breaks
PATTERN=\n
FORMAT-HTML=<Br/>$$
 
# Strings
PATTERN="([^"]|"")*"
FORMAT-HTML=<span style="color: #ff00ff">$$</span>

# Keywords
PATTERN=And|Call|Case|Const|Dim|Do|Each|Else|ElseIf|Empty|End|Eqv|Erase|Error|Exit|Explicit|False|For|Function|If|Imp|In|Is|Loop|Mod|Next|Not|Nothing|Null|On|Option|Or|Private|Public|Randomize|ReDim|Resume|Select|Set|Step|Sub|Then|To|True|Until|Wend|While|Xor
FORMAT-HTML=<span style="color: #000099; font-weight: bold;">$$</span>

# Special Identifiers
PATTERN=Anchor|Array|Asc|Atn|CBool|CByte|CCur|CDate|CDbl|Chr|CInt|CLng|Cos|CreateObject|CSng|CStr|Date|DateAdd|DateDiff|DatePart|DateSerial|DateValue|Day|Dictionary|Document|Element|Err|Exp|FileSystemObject|Filter|Fix|Int|Form|FormatCurrency|FormatDateTime|FormatNumber|FormatPercent|GetObject|Hex|History|Hour|InputBox|InStr|InstrRev|IsArray|IsDate|IsEmpty|IsNull|IsNumeric|IsObject|Join|LBound|LCase|Left|Len|Link|LoadPicture|Location|Log|LTrim|RTrim|Trim|Mid|Minute|Month|MonthName|MsgBox|Navigator|Now|Oct|Replace|Right|Rnd|Round|ScriptEngine|ScriptEngineBuildVersion|ScriptEngineMajorVersion|ScriptEngineMinorVersion|Second|Sgn|Sin|Space|Split|Sqr|StrComp|String|StrReverse|Tan|Time|TextStream|TimeSerial|TimeValue|TypeName|UBound|UCase|VarType|Weekday|WeekDayName|Window|Year
FORMAT-HTML=<span style="color: #990000" font-weight: bold;>$$</span>

# Identifiers
PATTERN=[a-zA-Z_]+[a-zA-Z_0-9]*
FORMAT-HTML=$$

# White Spaces
PATTERN=[\t]
FORMAT-HTML=&nbsp;&nbsp;&nbsp;&nbsp;

PATTERN=[\f\v]
FORMAT-HTML=&nbsp;

# Unmatched input
PATTERN=.
FORMAT-HTML=$$

# Leave Block
PATTERN=%>
#FORMAT-HTML=<span style="background-color: #ffff00">%&gt;</span>
RETURN

# ---------------------------
# HTML Tag format section
# ---------------------------
[HTML-Tag]

# Set Properties
IGNORECASE=1
MULTILINE=1

# Begin Block
HEADER-HTML=<span style="color: #0000cc">&lt;

# End Block
FOOTER-HTML=&gt;</span>

# Enter Script Block
PATTERN=<%
ENTER=VBScript

# Leave Block
PATTERN=>
RETURN

# Attribute
PATTERN=(\s+)(\w*)(\s*)(=)
FORMAT-HTML=<span style="color: #cc0000">$0$1</span>$2$3

# Line Breaks
PATTERN=\n
#|\r|\n\r|\r\n
FORMAT-HTML=<br>$$
 
# Unmatched input
PATTERN=.
FORMAT-HTML=$$

# ---------------------------
# HTML Comment format definition
# ---------------------------
[HTML-Comment]

# Set Properties
IGNORECASE=1
MULTILINE=1

# Begin Block
HEADER-HTML=<span style="color: #999999">&lt;--

# End Block
FOOTER-HTML=--&gt;</span>

# Enter Script Block
PATTERN=<%
FORMAT-HTML=
ENTER=VBScript

# Leave Block
PATTERN=-->
RETURN

# Line Breaks
PATTERN=\n
#|\r|\n\r|\r\n
FORMAT-HTML=<br>$$
 
# Unmatched input
PATTERN=.
FORMAT-HTML=$$

